Subject: CAP: VCALENDAR Overloading.

From: Patrice Lapierre <[email-masked]>
Date: Thu, 20 Sep 2001 19:02:22 -0400

Hi,

  In iCalendar and iTIP, VCALENDAR are used as kind of 
envelope for iCalendar's components and possibly some 
properties (METHOD, CALSHED). However  VCALENDARs do not 
seem to be considered a concrete components (i.e. they are
not defined in section 4.6 of RFC 2445).

  With CAP, VCALENDARs are now used as concrete iCalendar 
components. They are now persistent objects with additional
but distinct properties (e.g. PARENT, CHILDREN, OWNER). The 
problem is that we still need some kind of object to wrap 
commands. 

  Initial versions of the CAP draft used the VCALENDAR for 
both purposes (1. as a wrapper, 2. as a stored component), 
this is confusing. Recent versions of the draft make use
of the VCAP component as a command wrapper. However as 
previously noted by John Stracke, this approach breaks 
compatibility with iCalendar. 

  Would it be possible to go the other direction: keep 
VCALENDAR as an "envelope", but introduce another iCalendar 
component, say VAGENDA or VSCHEDULE, to represent 
"concrete calendars" owned by a user. This would make CAP 
more compliant to iCalendar and remove some of the ambiguities
related with the overloading of the VCALENDAR component.

Patrice.

---

From: George Babics <[email-masked]>
Date: Tue, 25 Sep 2001 10:39:21 -0400

Are there any objections?
If not I will rename users' calendars from
VCALENDAR to VAGENDA or something similar.

George